version: '3.3'
services:
  db:
    image: mariadb:latest
    container_name: mariadb
    restart: 'unless-stopped'
    command: --transaction-isolation=READ-COMMITTED --log-bin=binlog --binlog-format=ROW
    volumes:
      - db:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=lacapsule
      - MYSQL_PASSWORD=lacapsule
      - MYSQL_DATABASE=nextcloud
      - MYSQL_USER=nextcloud

  app:
    image: nextcloud:latest
    container_name: nextcloud
    restart: 'unless-stopped'
    ports:
      - 8585:80
    links:
      - db
    volumes:  
      - nextcloud:/var/www/html
    environment:
      - MYSQL_ROOT_PASSWORD=lacapsule
      - MYSQL_PASSWORD=lacapsule
      - MYSQL_DATABASE=nextcloud
      - MYSQL_USER=nextcloud
      - MYSQL_HOST=db

volumes:
  nextcloud:
  db: